Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface SNMPGaugeMonitorMBean

public interface SNMPGaugeMonitorMBean
extends SNMPJMXMonitorMBean

This class describes the criteria for a Gauge-based Monitor. A trap will be generated when this criteria is satisfied.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.SNMPJMXMonitorMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.SNMPTrapSourceMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getThresholdHigh()` Defines the high threshold at which a trap is generated.
`int` | `getThresholdLow()` Defines the low threshold at which a trap is generated.
`void` | `setThresholdHigh(int thresholdHigh)` Sets the thresholdHigh attribute of the SNMPGaugeMonitorMBean object
`void` | `setThresholdLow(int threshholdLow)` Sets the thresholdLow attribute of the SNMPGaugeMonitorMBean object

Methods inherited from interface weblogic.management.configuration.SNMPJMXMonitorMBean
`getMonitoredAttributeName, getMonitoredMBeanName, getMonitoredMBeanType, getPollingInterval, setMonitoredAttributeName, setMonitoredMBeanName, setMonitoredMBeanType, setPollingInterval`

Methods inherited from interface weblogic.management.configuration.SNMPTrapSourceMBean
`addEnabledServer, getEnabledServers, removeEnabledServer, setEnabledServers`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getThresholdHigh

    public int getThresholdHigh()

  Defines the high threshold at which a trap is generated. A trap is generated if the monitored value is equal to or greater than this value.

  Returns:
    The thresholdHigh value

### setThresholdHigh

    public void setThresholdHigh(int thresholdHigh)

  Sets the thresholdHigh attribute of the SNMPGaugeMonitorMBean object

  Parameters:
    `thresholdHigh` - The new thresholdHigh value

### getThresholdLow

    public int getThresholdLow()

  Defines the low threshold at which a trap is generated. A trap is generated if the monitored value is less than or equal to this value.

  Returns:
    The thresholdLow value

### setThresholdLow

    public void setThresholdLow(int threshholdLow)

  Sets the thresholdLow attribute of the SNMPGaugeMonitorMBean object

  Parameters:
    `threshholdLow` - The new thresholdLow value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD